<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.easyproject.service.mapper.coze.CozeBotSetMapper">
    
    <resultMap type="CozeBotSet" id="CozeBotSetResult">
        <result property="id"    column="id"    />
        <result property="spaceId"    column="space_id"    />
        <result property="botId"    column="bot_id"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectCozeBotSetVo">
        select id, space_id, bot_id, status, create_by, create_time, update_by, update_time, remark from coze_bot_set
    </sql>

    <select id="selectCozeBotSetList" parameterType="CozeBotSet" resultMap="CozeBotSetResult">
        <include refid="selectCozeBotSetVo"/>
        <where>  
            <if test="spaceId != null "> and space_id = #{spaceId}</if>
            <if test="botId != null "> and bot_id = #{botId}</if>
            <if test="status != null "> and status = #{status}</if>
        </where>
    </select>
    
    <select id="selectCozeBotSetById" parameterType="Long" resultMap="CozeBotSetResult">
        <include refid="selectCozeBotSetVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertCozeBotSet" parameterType="CozeBotSet" useGeneratedKeys="true" keyProperty="id">
        insert into coze_bot_set
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="spaceId != null">space_id,</if>
            <if test="botId != null">bot_id,</if>
            <if test="status != null">status,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="spaceId != null">#{spaceId},</if>
            <if test="botId != null">#{botId},</if>
            <if test="status != null">#{status},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateCozeBotSet" parameterType="CozeBotSet">
        update coze_bot_set
        <trim prefix="SET" suffixOverrides=",">
            <if test="spaceId != null">space_id = #{spaceId},</if>
            <if test="botId != null">bot_id = #{botId},</if>
            <if test="status != null">status = #{status},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteCozeBotSetById" parameterType="Long">
        delete from coze_bot_set where id = #{id}
    </delete>

    <delete id="deleteCozeBotSetByIds" parameterType="String">
        delete from coze_bot_set where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>